.banners_slider_wrapper .slide-wrapper {
    display: flex;
    justify-content: space-between;
    overflow: hidden;
}
.banners_slider_wrapper {
    position: relative;
    margin-top: 10px;
}
.swiper-button-prev.banners_slider_prev {
    left: -70px !important;
    color: black;
}
.swiper-button-next.banners_slider_next {
    right: -70px !important;
    color: black;
}
.banners_slider .swiper-slide {
    background: var(--grey-extra-light);
}
.banners_slider .swiper-slide .left-part {
    padding: 40px;
}
.banners_slider .swiper-slide .right-part {
    height: 520px;
    flex: 720px;
}
.swiper-button-prev.banners_slider_prev svg, .swiper-button-next.banners_slider_next svg {
    transition: transform 0.3s ease;
    color: var(--red);
}
.swiper-button-prev.banners_slider_prev, .swiper-button-next.banners_slider_next {
    width: 57px;
    height: 57px;
}
.swiper-button-prev.banners_slider_prev:hover svg, .swiper-button-next.banners_slider_next:hover svg {
    transform: scale(1.1);
    color: var(--red);
}
.banners_slider .name {
    font-weight: 700;
    font-size: 44px;
    line-height: 1.2;
    padding-bottom: 30px;
}
.banner_txt .text {
    font-size: 18px;
    line-height: 1.5;
}
.banner_txt .btn-primary-xl {
    min-width: 364px;
    margin-top: 30px;
}
/* Левая часть с текстом */
.left-part {
    flex: 1;
    padding: 40px;
}

/* Правая часть с картинкой */
.right-part {
    flex: 0 0 720px;
    max-width: 720px;
    height: 520px;
    position: relative;
}

/* Картинка на весь блок */
.right-part img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.swiper-pagination-4 {
    padding-top: 20px;
    margin: auto;
    text-align: center;
}
/* Адаптивность для мобильных */
@media (max-width: 1199px) {
    .swiper-button-prev.banners_slider_prev, .swiper-button-next.banners_slider_next {
        display: none;
    }
}
@media (max-width: 1560px) {
    .right-part {
        flex: 0 0 500px;
        max-width: 500px;
        height: auto;
        position: relative;
    }
}
@media (max-width: 1024px) {
    .slide-wrapper {
        flex-direction: column; /* Текст над картинкой */
        min-height: auto;
    }

    .right-part {
        flex: 0 0 auto;
        width: 100%;
        height: 300px; /* Уменьшаем высоту на мобилках */
        max-width: 100%;
    }

    .left-part {
        width: 100%;
        padding: 20px;
    }
}
@media (max-width: 1099.99px) {
    .swiper-button-prev.banners_slider_prev {
        left: -7px !important;
    }

    .swiper-button-next.banners_slider_next {
        right: -7px !important;
    }

    .banners_slider .swiper-slide .right-part {
        display: none;
    }

    .left-part {
        height: auto;
    }

    .banners_slider_wrapper .slide-wrapper, .banners_slider .swiper-slide, .banners_slider .swiper-slide .right-part {
        height: auto;
    }
}
@media (max-width: 768px) {
    .banners_slider_wrapper {
        display: none;
    }
}